<?php
//===========================================================================//
// Copyright 2004 Alex Collins                                               //
//                                                                           //
// This file is part of AutositePHP.                                         //
//                                                                           //
// AutositePHP is free software; you can redistribute it and/or modify       //
// it under the terms of the GNU General Public License as published by      //
// the Free Software Foundation; either version 2 of the License, or         //
// at your option) any later version.                                        //
//                                                                           //
// AutositePHP is distributed in the hope that it will be useful,            //
// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
// GNU General Public License for more details.                              //
//                                                                           //
// You should have received a copy of the GNU General Public License         //
// along with AutositePHP; if not, write to the Free Software                //
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA //
//===========================================================================//
?>
<?php

if ($included_by_index != TRUE) {
   echo "Access denied";
   die();
}

//###################################//
//           ERROR DEFINITIONS       //
//###################################//

//#############//
//Global errors//
//#############//

define(_ACCESS_DENIED,                              "<p class='error'>Access denied</p>");
define(_WRONG_USERNAME_OR_PASSWORD,                 "<p class='error'>Incorrect username or password</p>");
define(_WRONG_USERNAME,                             "<p class='error'>Incorrect username</p>");
define(_WRONG_DETAILS,                              "<p class='error'>Incorrect details</p>");
define(_PASSWORDS_DID_NOT_MATCH,                    "<p class='error'>Passwords did not match</p>");
define(_OLD_PASSWORD_INCORRECT,                     "<p class='error'>The old password was incorrect.</p>");
define(_SECURITY_CODES_DID_NOT_MATCH,               "<p class='error'>Security codes did not match</p>");
define(_FILL_IN_ALL_FIELDS,                         "<p class='error'>Please fill in all of the required fields</p>");
define(_FILL_IN_USERNAME,                           "<p class='error'>Please fill in a username</p>");
define(_USER_EXISTS,                                "<p class='error'>This user already exists. Please enter a different username</p>");
define(_USER_NOT_EXISTS,                            "<p class='error'>This user does not exist</p>");
define(_LINK_INACTIVE,                              "<p class='error'>This link is no longer active</p>");
define(_REQUEST_FAILED,                             "<p class='error'>Your request failed</p>");
define(_INVALID_EMAIL_ADDRESS,                      "<p class='error'>Email address contains disallowed characters or is invalid.</p>");
define(_INVALID_USERNAME_CHARS,                     "<p class='error'>Username contains disallowed characters. Letters, numbers, \".\", \"-\" and \"_\" are allowed.</p>");
define(_INVALID_USERNAME_LENGTH_MAX,                "<p class='error'>Username is too long. Cannot be more than 20 characters long.</p>");
define(_INVALID_USERNAME_LENGTH_MIN,                "<p class='error'>Username is too short. Cannot be less than 4 characters long.</p>");
define(_INVALID_SECURITY_CODE,                      "<p class='error'>Security code contains disallowed characters</p>");
define(_INVALID_NAME,                               "<p class='error'>First name or last name contains disallowed characters</p>");
define(_INVALID_PASSWORD_CHARS,                     "<p class='error'>Password contains disallowed characters</p>");
define(_INVALID_PASSWORD_LENGTH_MIN,                "<p class='error'>Password is too short. Cannot be less than 4 characters long.</p>");
define(_INVALID_FILENAME,                           "<p class='error'>The filename contains disallowed characters.</p>");
define(_INVALID_IP_NUMBER,                          "<p class='error'>Invalid IP Number</p>");
define(_ACCOUNT_SUSPENDED,                          "<p class='error'>Your account has been suspended.</p>");
define(_ACCOUNT_DEACTIVATED,                        "<p class='error'>Your account has been deactivated due to a long period of inactivity.</p><p>Please click here to <a href='index.php?page=users/reactivate.php'>reactivate your account.</a></p>");

//#######################//
//Script specifice errors//
//#######################//

//user system scripts
define(_ACTIVATE_ALREADY_ACTIVATED,                 "<p class='error'>Your account has already been activated</p>");
define(_ACTIVATE_BAD_LINK,                          "<p class='error'>This activation link does not match any pending accounts. Your new account may have expired.</p>");
define(_ACTIVATE_ERROR,                             "<p class='error'>Account could not be activated</p>");

define(_REACTIVATE_ALREADY_ACTIVE,                  "<p class='error'>Your account is currently active. You do not need to reactivate it.</p>");

define(_DELETE_ACCOUNT_ERROR,                       "<p class='error'>Your account could not be deleted. Please contact the administrator to remove your account.</p>");

define(_LOGOUT_FAILED,                              "<p class='error'>You could not be logged out.</p>");

define(_BARS_POSITION_NOT_SPECIFIED,                "<p class='error'>Bar position is not defined.</p>");
define(_BARS_POSITION_INVALID,                      "<p class='error'>Bar position is invalid.</p>");

//Errors in the private messaging system (pms)
define(_PMS_OPTION_NOT_EXIST,                       "<p class='error'>Option script does not exist.</p>");
define(_PMS_QUOTA_USED,                             "<p class='error'>Space quota reached.</p>");
define(_PMS_RECIPIENT_QUOTA_USED,                   "<p class='error'>The message could not be sent because the recipient has used all of their space.</p>");
define(_PMS_MESSAGE_DOES_NOT_EXIST,                 "<p class='error'>Message does not exist.</p>");
define(_PMS_MESSAGE_BOX_NOT_SPECIFIED,              "<p class='error'>Message box not specified.</p>");
define(_PMS_MESSAGE_BOX_EMPTY,                      "<p class='error'>There are no messages in this box.</p>");
define(_PMS_MESSAGE_ID_NOT_SPECIFIED,               "<p class='error'>Message ID not specified.</p>");
define(_PMS_FILL_IN_USERNAME,                       "<p class='error'>Please fill in a username to send the message to.</p>");
define(_PMS_FILL_IN_SUBJECT,                        "<p class='error'>Please fill in a subject for your message.</p>");
define(_PMS_FILL_IN_MESSAGE,                        "<p class='error'>Please type in a message to send to the username specified.</p>");
define(_PMS_MESSAGE_TOO_LONG,                       "<p class='error'>Your message text is too long.</p>");
define(_PMS_INVALID_SUBJECT,                        "<p class='error'>The subject contains disallowed characters. Letters, numbers, \".\", \"-\", \"_\", \":\" and spaces are allowed.</p>");

define(_CONTACT_FILL_IN_SUBJECT,                    "<p class='error'>Please choose a subject.</p>");
define(_CONTACT_FILL_IN_MESSAGE,                    "<p class='error'>Please enter a message.</p>");

define(_BAR_ADMIN_BAR_ALREADY_EXISTS,               "<p class='error'>This bar item already exists. It cannot be created.</p>");
define(_BAR_ADMIN_FILENAME_NOT_SPECIFIED,           "<p class='error'>Filename not specified</p>");
define(_BAR_ADMIN_FILE_DOES_NOT_EXIST,              "<p class='error'>The files for this bar item do not exist.</p>");
define(_BAR_ADMIN_DELETE_DISALLOWED,                "<p class='error'>You are not allowed to delete this bar item.</p>");

define(_DATABASE_ADMIN_LOAD_FAILED,                 "<p class='error'>Couldn't load database restoration file.</p>");
define(_DATABASE_ADMIN_WRONG_FILETYPE,              "<p class='error'>File is the wrong type. Must be '.sql'.</p>");
define(_DATABASE_ADMIN_RESTORE_FILE_NOT_SELECTED,   "<p class='error'>Please choose a database restoration file before submitting.</p>");
define(_DATABASE_ADMIN_RESTORE_FILE_INVALID,        "<p class='error'>This is not a valid database restoration file.</p>");

define(_DOWNLOAD_ADMIN_ID_NOT_SPECIFIED,            "<p class='error'>Download ID is not specified</p>");
define(_DOWNLOAD_ADMIN_DOWNLOAD_DOES_NOT_EXIST,     "<p class='error'>Download does not exist in the database</p>");
define(_DOWNLOAD_ADMIN_CATAGORY_DOES_NOT_EXIST,     "<p class='error'>Catagory does not exist.</p>");

define(_FILE_EDITOR_FILE_NOT_SPECIFIED,             "<p class='error'>File not specified.</p>");
define(_FILE_EDITOR_FILEPATH_DISALLOWED,            "<p class='error'>Filepath disallowed</p>");
define(_FILE_EDITOR_ACTION_DOES_NOT_EXIST,          "<p class='error'>The specified action does not exist.</p>");
define(_FILE_EDITOR_FILL_IN_NEW_FILENAME,           "<p class='error'>Please fill in a new filename.</p>");
define(_FILE_EDITOR_FILE_EXISTS_COPY_FAILED,        "<p class='error'>File already exists. It cannot be copied.</p>");
define(_FILE_EDITOR_TYPE_NOT_SPECIFIED,             "<p class='error'>Type is not specified</p>");
define(_FILE_EDITOR_FILL_IN_FILENAME,               "<p class='error'>Please enter a filename.</p>");
define(_FILE_EDITOR_FILE_ALREADY_EXISTs,            "<p class='error'>File already exists</p>");
define(_FILE_EDITOR_TYPE_INVALID,                   "<p class='error'>Type is invalid</p>");
define(_FILE_EDITOR_FILE_OR_FOLDER_DOES_NOT_EXIST,  "<p class='error'>File or folder does not exist.</p>");
define(_FILE_EDITOR_FILE_OR_FOLDER_NOT_SPECIFIED,   "<p class='error'>File or folder not specified.</p>");
define(_FILE_EDITOR_UPLOAD_FAILED,                  "<p class='error'>Upload failed</p>");
define(_FILE_EDITOR_RENAME_FAILED,                  "<p class='error'>The file with the new name already exists. The old file cannot be renamed.</p>");
define(_FILE_EDITOR_UPLOAD_NO_FILE_SPECIFIED,       "<p class='error'>Select a file before uploading.</p>");

define(_NEWSLETTER_ADMIN_FILL_IN_SUBJECT,           "<p class='error'>Please enter a subject for the newsletter.</p>");
define(_NEWSLETTER_ADMIN_FILL_IN_MESSAGE,           "<p class='error'>Please enter a message for the newsletter.</p>");
define(_NEWSLETTER_ADMIN_NO_RECIPIENTS,             "<p class='error'>Your email was not sent as there were no users to send the email to.</p>");

define(_PAGES_ADMIN_PAGE_NOT_SPECIFIED,             "<p class='error'>Page not specified.</p>");
define(_PAGES_ADMIN_PAGE_DOES_NOT_EXIST,            "<p class='error'>Page does not exist.</p>");
define(_PAGES_ADMIN_PAGE_NOT_FOUND_IN_DB,           "<p class='error'>Page was not found in the database.</p>");
define(_PAGES_ADMIN_FILL_IN_ALIAS,                  "<p class='error'>Please enter an alias for this page.</p>");

define(_USERS_ADMIN_NO_USERS,                       "<p>There are currently no users on your site.</p>");
define(_USERS_ADMIN_USERNAME_ALREADY_EXISTS,        "<p class='error'>This username already exists.</p>");

define(_USERS_EMAIL_ADMIN_ONE_RECIPIENT,            "<p class='error'>You can only select one recipient for the email(s).</p>");
define(_USERS_EMAIL_ADMIN_FILL_IN_RECIPIENT,        "<p class='error'>Please choose a recipient.</p>");
define(_USERS_EMAIL_ADMIN_FILL_IN_SUBJECT,          "<p class='error'>Please enter a subject for the email.</p>");
define(_USERS_EMAIL_ADMIN_FILL_IN_MESSAGE,          "<p class='error'>Please enter a message to send in the email.</p>");
define(_USERS_EMAIL_ADMIN_RECIPIENT_INVALID,        "<p class='error'>The selected recipient could not be determined</p>");
define(_USERS_EMAIL_ADMIN_NO_RECIPIENTS,            "<p class='error'>Your email was not sent as there were no users to send the email to.</p>");

define(_USERS_PMS_ADMIN_ONE_RECIPIENT,              "<p class='error'>You can only select one recipient for the private message(s).</p>");
define(_USERS_PMS_ADMIN_FILL_IN_RECIPIENT,          "<p class='error'>Please choose a recipient.</p>");
define(_USERS_PMS_ADMIN_FILL_IN_SUBJECT,            "<p class='error'>Please enter a subject for the private message.</p>");
define(_USERS_PMS_ADMIN_FILL_IN_MESSAGE,            "<p class='error'>Please enter a message to send in the private message.</p>");
define(_USERS_PMS_ADMIN_RECIPIENT_INVALID,          "<p class='error'>The selected recipient could not be determined</p>");
define(_USERS_PMS_ADMIN_NO_RECIPIENTS,              "<p class='error'>Your private message(s) could not be sent as there were no users to send it to.</p>");

//##############################################################//
//                     CAPTION DEFINITIONS                      //
//##############################################################//

define(_FILE_EDITOR_EDIT_PAGE,                      "[Edit page with file editor]");
define(_FILE_EDITOR_EDIT_BARITEM,                   "[Edit bar item with file editor]");
define(_FILE_EDITOR_OPEN_CONTAINING_FOLDER,         "[Open containing directory with file editor]");

define(_NOTICES_ADMIN_LINK,                         "[Go to notices admin]");
   
?>
