<?php
//===========================================================================//
// Copyright 2004 Alex Collins                                               //
//                                                                           //
// This file is part of AutositePHP.                                         //
//                                                                           //
// AutositePHP is free software; you can redistribute it and/or modify       //
// it under the terms of the GNU General Public License as published by      //
// the Free Software Foundation; either version 2 of the License, or         //
// at your option) any later version.                                        //
//                                                                           //
// AutositePHP is distributed in the hope that it will be useful,            //
// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
// GNU General Public License for more details.                              //
//                                                                           //
// You should have received a copy of the GNU General Public License         //
// along with AutositePHP; if not, write to the Free Software                //
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA //
//===========================================================================//
?>
<?php

if ($included_by_index != TRUE) {
   echo "Access denied";
   die();
}

//###################################//
//           EMAIL DEFINITIONS       //
//###################################//

//----------------------------------------------------------------------------------------------
// Activate email sent to users
//----------------------------------------------------------------------------------------------

define (_EMAIL_ACTIVATE_SUBJECT,
   "User Account Creation"
);
define (_EMAIL_ACTIVATE_MESSAGE,
   "Dear $firstname $lastname ($username),\n"
   ."\n"
   ."Thank you for registering an account.\n"
   ."\n"
   ."Before you can log in you must first activate your account by visiting the link below, or copying and pasting it into your web browser:\n"
   ."\n"
   ."$activate_link\n"
   ."\n"
   ."You have 24 hours to activate your account, after which time it will expire and be deleted.\n"
   ."\n"
   ."If you were not expecting to recieve this email, it is because someone has created an account using your email address. Please delete this message.\n"
   ."\n"
   ."From $preferences[sitename]\n"
   ."\n"
   ."$preferences[siteurl]\n"
   ."$preferences[emailsignature]"
);

//----------------------------------------------------------------------------------------------
// Message sent to admin informing about a new account activation
//----------------------------------------------------------------------------------------------

define (_EMAIL_ACTIVATE_ADMIN_SUBJECT,
   "User account creation and activation"
);
define (_EMAIL_ACTIVATE_ADMIN_MESSAGE,
   "Dear $preferences[sitename] administrator,\n"
   ."\n"
   ."A new user has been created on $preferences[sitename].\n"
   ."\n"
   ."Here are their details:\n"
   ."\n"
   ."Username - $username\n"
   ."Email - $data[email]\n"
   ."IP number - $data[ip]\n"
   ."\n"
   ."From Automated User System\n"
   ."\n"
   ."$preferences[siteurl]\n"
   ."$preferences[emailsignature]"
);

//----------------------------------------------------------------------------------------------
// Test email definitions
//----------------------------------------------------------------------------------------------

define (_EMAIL_TEST_ACCOUNT_SUBJECT,
   "Test Email Account"
);
define (_EMAIL_TEST_ACCOUNT_MESSAGE,
   "Dear $_SESSION[firstname_sess] $_SESSION[lastname_sess] ($_SESSION[username_sess]),\n"
   ."\n"
   ."This is an email confirming whether your email account is working.\n"
   ."\n"
   ."From $preferences[sitename]\n"
   ."\n"
   ."$preferences[siteurl]\n"
   ."$preferences[emailsignature]"
);

//----------------------------------------------------------------------------------------------
// Forgotten password email definitions
//----------------------------------------------------------------------------------------------

define (_EMAIL_FORGOTTEN_PASSWORD_SUBJECT,
   "Forgotten Password"
);
define (_EMAIL_FORGOTTEN_PASSWORD_MESSAGE,
   "Dear $data[firstname] $data[lastname] ($data[username]),\n"
   ."\n"
   ."This email has been sent to you because you have forgotten your password.\n"
   ."\n"
   ."Click the link below to change your password:\n"
   ."\n"
   ."$link\n"
   ."\n"
   ."You will have 30 minutes before your password changing request expires. If it does expire, just click 'forgot my password' again.\n"
   ."\n"
   ."From $preferences[sitename]\n"
   ."\n"
   ."$preferences[siteurl]\n"
   ."$preferences[emailsignature]"
);

//----------------------------------------------------------------------------------------------
// Copy of newsletter sent to admin
//----------------------------------------------------------------------------------------------

if (strlen($to_report) > 100) $to_report = substr($to_report,0,47)."...";

define (_EMAIL_NEWSLETTER_ADMIN_SUBJECT,
   "Newsletter - $subject"
);
define (_EMAIL_NEWSLETTER_ADMIN_MESSAGE,
   "Dear Administrator,\n"
   ."\n"
   ."A newsletter was sent on $preferences[sitename] and you requested a copy of the email.\n"
   ."\n"
   ."The email sent follows:\n"
   ."\n"
   ."----------------------------------------\n"
   ."\n"
   ."To: $to_report\n"
   ."\n"
   ."Subject: $subject\n"
   ."\n"
   ."Message: $message\n"
   ."\n"
   ."----------------------------------------\n"
   ."\n"
   ."Thank you.\n"
   ."\n"
   ."$preferences[sitename]\n"
   ."\n"
   ."$preferences[siteurl]"
);

//----------------------------------------------------------------------------------------------
// Copy of email sent to users sent to admin
//----------------------------------------------------------------------------------------------

define (_EMAIL_EMAILUSERS_ADMIN_SUBJECT,
   "Copy of email sent to users - $subject"
);
define (_EMAIL_EMAILUSERS_ADMIN_MESSAGE,
   "Dear Administrator,\n"
   ."\n"
   ."An email was sent to users on $preferences[sitename] and you requested a copy of the email.\n"
   ."\n"
   ."The email sent follows:\n"
   ."\n"
   ."----------------------------------------\n"
   ."\n"
   ."To: $to_report\n"
   ."\n"
   ."Subject: $subject\n"
   ."\n"
   ."Message: $message\n"
   ."\n"
   ."----------------------------------------\n"
   ."\n"
   ."Thank you.\n"
   ."\n"
   ."$preferences[sitename]\n"
   ."\n"
   ."$preferences[siteurl]"
   ."$preferences[emailsignature]"
);

//----------------------------------------------------------------------------------------------
// Contact form email definitions
//----------------------------------------------------------------------------------------------

define (_EMAIL_CONTACT_SUBJECT,
   "Contact Form - $subject"
);
define (_EMAIL_CONTACT_MESSAGE_EMAIL,
   "Dear Administrator,\n"
   ."\n"
   ."A message has been sent to you through the contact page.\n"
   ."\n"
   ."The message follows:\n"
   ."\n"
   ."----------------------------------------\n"
   ."\n"
   ."From: $from\n"
   ."\n"
   ."Senders IP: $ip\n"
   ."\n"
   ."Subject: $subject\n"
   ."\n"
   ."Message: $message\n"
   ."\n"
   ."----------------------------------------\n"
   ."\n"
   ."Thank you.\n"
   ."\n"
   ."$preferences[sitename]\n"
   ."\n"
   ."$preferences[siteurl]\n"
   ."$preferences[emailsignature]"
);

define (_EMAIL_CONTACT_MESSAGE_PMS,
   "Dear Administrator,\n"
   ."\n"
   ."A message has been sent to you through the contact page:\n"
   ."\n"
   ."The message follows:\n"
   ."\n"
   ."---------------------------------------\n"
   ."\n"
   ."Senders IP: $ip\n"
   ."\n"
   ."Message: $message\n"
   ."\n"
   ."---------------------------------------\n"
   ."\n"
   ."Thank you.\n"
   ."\n"
   ."Contact form."
);

?>