<?php
//===========================================================================//
// Copyright 2004 Alex Collins                                               //
//                                                                           //
// This file is part of AutositePHP.                                         //
//                                                                           //
// AutositePHP is free software; you can redistribute it and/or modify       //
// it under the terms of the GNU General Public License as published by      //
// the Free Software Foundation; either version 2 of the License, or         //
// at your option) any later version.                                        //
//                                                                           //
// AutositePHP is distributed in the hope that it will be useful,            //
// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
// GNU General Public License for more details.                              //
//                                                                           //
// You should have received a copy of the GNU General Public License         //
// along with AutositePHP; if not, write to the Free Software                //
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA //
//===========================================================================//
?>
<?php
//this file defines default functions used by many scripts

//##############################################################//
//Template inclusion script - includes templates (text etc.)
//##############################################################//
function template($path)
{
   global $preferences;
   global $included_by_index;
   if (file_exists("$preferences[styledir]/$preferences[style]/templates/$path"))
   {
      return "$preferences[styledir]/$preferences[style]/templates/$path";
   } else {
   return "templates/$path";
   }
}

//##############################################################//
//mime_content_type replacement for servers without it installed//
//##############################################################//

function mimecontenttype($filename)
{
   $filename = (eregi_replace("\?.+$","",$filename));
   $filename = (eregi_replace("^.+/","",$filename));
      $filename = (eregi_replace("^.+\.","",$filename));
   if (ereg("php|html|htm",$filename)) {
      $result = "text/html";
   } elseif (ereg("jpg|jpeg|gif|png|bmp|ico|tiff|tif|dib|jfif|jpe",$filename)) {
      $result = "image";
   } elseif (ereg("txt",$filename)) {
      $result = "text/plain";
   } else {
      $result = "";
   }
   return $result;
}

//#################################//
//PHP 4 compatible scandir function//
//#################################//

function scan_dir($dirtoscan, $sort)
{
   if($dirtoscan == "")
   {
      echo "<font color='red'>Parameter 1 not specified for scan_dir function</font>";
   } else {
      if ($handle = opendir($dirtoscan)) {
         $files = array();
         $i = 0;
         while (false !== ($file = readdir($handle))) {
            $files[$i] = $file;
            $i++;
         }
         closedir($handle);
      }
      if($sort == '1') {
         rsort($files);
      } else {
         sort($files);
      }
      return $files;
   }
}

//#########################################################################//
//#########################################################################//
//                            FILE SYSTEM FUNCTIONS                        //
//#########################################################################//
//#########################################################################//

//PHP 4 compatible file_put_contents//

function fileputcontents($filename, $contents)
{
   if ($filename == "")
   {
      echo "<font color='#ff0000'>Parameter 1 for fileputcontents not specified</font>";
   } else {
      $filename = stripslashes($filename);
      $handle = fopen($filename,"w");
      fwrite($handle,$contents);
      fclose($handle);
   }
   return $file;
}

//PHP 4 compatible file_get_contents//

function filegetcontents($filename)
{
   if ($filename == "") {
      echo "<font color='#ff0000'>Parameter 1 for filegetcontents not specified</font>";
   } else {
      $file = file($filename);
      $file = implode("",$file);
   }
   return $file;
}

//mk_dir

function mk_dir($path)
{
   if (!mkdir($path)) echo "The directory could not be created.";
}

//un_link

function un_link($path)
{
   if (!unlink($path)) echo "The file could not be deleted";
}

//rm_dir

function rm_dir($path)
{
   if (!rmdir($path)) echo "The directory could not be deleted";
}

//delete a directory containing files
function delete_dir($path)
{
   $dir = dir($path);
   while (FALSE !== $entry = $dir->read()) {
      if ($entry == "." OR $entry == "..") {
         continue;
      }
      if (is_dir("$path/$entry")) {
         delete_dir("$path/$entry");
      } else {
         un_link("$path/$entry");
      }
   }
   $dir->close();
   return rm_dir($path);
}

//copy_file
function copy_file($oldpath,$newpath)
{
   if (!copy($oldpath,$newpath)) echo "The file could not be copied";
}

//copy_dir
function copy_dir($oldpath,$newpath)
{
   mk_dir($newpath);
   $dir = dir($oldpath);
   while (FALSE !== $entry = $dir->read()) {
      if ($entry == "." OR $entry == "..") {
         continue;
      }
      if (is_dir("$oldpath/$entry")) {
         copy_dir("$oldpath/$entry","$newpath/$entry");
      } else {
         copy_file("$oldpath/$entry","$newpath/$entry");
      }
   }
   $dir->close();
}

//rename function
function rename_file($oldpath,$newpath)
{
   rename($oldpath,$newpath);
}

//######################################################################//
//######################################################################//
//                               EREG FUNCTIONS                         //
//######################################################################//
//######################################################################//

//#########################
//check for a valid email address
function ereg_check_email($string,$update)
{
   global $error;
   if ($error == FALSE) {
      if(!eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]{2,})+$",$string)) {
         $errmsg = _INVALID_EMAIL_ADDRESS;
         if ($update != "") {
            $errmsgarray[] = $errmsg;
         } else {
            echo "$errmsg";
         }
         $error = TRUE;
      }
   }
   if ($update != "") {
      return $errmsgarray;
   } else {
      return $error;
   }
}

//#########################
//check for a valid username
function ereg_check_username($string,$update)
{
   global $error;
   if ($error == FALSE) {
      if(!eregi("^([a-z0-9]|\_|\-|\.)+$",$string)) {
         $errmsg = _INVALID_USERNAME_CHARS;
         if ($update != "") {
            $errmsgarray[] = $errmsg;
         } else {
            echo "$errmsg";
         }
         $error = TRUE;
      }
      if(strlen($string) >= 21) {
         $errmsg = _INVALID_USERNAME_LENGTH_MAX;
         if ($update != "") {
            $errmsgarray[] = $errmsg;
         } else {
            echo "$errmsg";
         }
         $error = TRUE;
      }
      if(strlen($string) <= 3) {
         $errmsg = _INVALID_USERNAME_LENGTH_MIN;
         if ($update != "") {
            $errmsgarray[] = $errmsg;
         } else {
            echo "$errmsg";
         }
         $error = TRUE;
      }
   }
   if ($update != "") {
      return $errmsgarray;
   } else {
      return $error;
   }
}

//#########################
//check for a valid security image entry
function ereg_check_securitycode($string,$update)
{
   global $error;
   /*if ($error == FALSE) {
      if(!ereg("([A-Z0-9])+",$string)) {
         $errmsg = _INVALID_SECURITY_CODE;
         if ($update != "") {
            $errmsgarray[] = $errmsg;
         } else {
            echo "$errmsg";
         }
         $error = TRUE;
      }
   }*/
   if ($update != "") {
      return $errmsgarray;
   } else {
      return $error;
   }
}

//#########################
//check for a valid name
function ereg_check_name($string,$update)
{
   global $error;
   if ($error == FALSE) {
      if(!eregi("^.+$",$string)) {
         $errmsg = _INVALID_NAME;
         if ($update != "") {
            $errmsgarray[] = $errmsg;
         } else {
            echo "$errmsg";
         }
         $error = TRUE;
      }
   }
   if ($update != "") {
      return $errmsgarray;
   } else {
      return $error;
   }
}

//##########################
//check for a valid password
function ereg_check_password($string,$update)
{
   global $error;
   if ($error == FALSE) {
      /*if(!eregi(".+",$string)) {
         $errmsg = _INVALID_PASSWORD_CHARS;
         if ($update != "") {
            $errmsgarray[] = $errmsg;
         } else {
            echo "$errmsg";
         }
         $error = TRUE;
      }
      */if(strlen($string) < 4) {
         $errmsg = _INVALID_PASSWORD_LENGTH_MIN;
         if ($update != "") {
            $errmsgarray[] = $errmsg;
         } else {
            echo "$errmsg";
         }
         $error = TRUE;
      }
   }
   if ($update != "") {
      return $errmsgarray;
   } else {
      return $error;
   }
}

//#########################################
//check for a valid private message subject
function ereg_check_subject($string,$update)
{
   global $error;
   if ($error == FALSE) {
      if(!eregi("^([a-z0-9]|\_|\-|\.| |:)+$",$string)) {
         $errmsg = _PMS_INVALID_SUBJECT;
         if ($update != "") {
            $errmsgarray[] = $errmsg;
         } else {
            echo "$errmsg";
         }
         $error = TRUE;
      }
   }
   if ($update != "") {
      return $errmsgarray;
   } else {
      return $error;
   }
}

//##########################
//check for a valid filename
function ereg_check_filename($string,$update)
{
   global $error;
   if ($error == FALSE) {
      if(eregi("\\|/|:|\*|\?|\"|<|>|\|",$string)) {
         $errmsg = _INVALID_FILENAME;
         if ($update != "") {
            $errmsgarray[] = $errmsg;
         } else {
            echo "$errmsg";
         }
         $error = TRUE;
      }
   }
   if ($update != "") {
      return $errmsgarray;
   } else {
      return $error;
   }
}
//##############################################i'm herreputting in definitions
//###############//
//Other functions//
//###############//

//scan a folder for a index.??? file and return index.{extension}
function scan_for_index($dirtoscan,$order,$name)
{
   $ext = FALSE;
   //scan the directory
   $files = scan_dir($dirtoscan, $order) or die ("Error scanning directory. Not found. Attempted scanning \"$dirtoscan\" and failed.");
   $cwd = getcwd();
   chdir($dirtoscan);
   //iterate through the files found and see whether they are valid to be the index page
   for ($i = 0; $i < count($files); $i++) {
      //check it's a file not a directory
      if (!(is_dir($files[$i]))) {
         //if it is called $name.???
         if(ereg($name,$files[$i])) {
            //get it's file extension
            $ext = ereg_replace("index","",$files[$i]);
            //break out of the loop if a valid file has been found
            if ($ext != FALSE) {
               break;
            }
         }	
      }
   }
   chdir($cwd);
   $link = $name.$ext;
   if ($ext == "") {
      $link = FALSE;
   }
   return $link;
}

//check the used space in kb for private messages for a individual user
function get_used_space_pms($username,$div,$round)
{
   global $preferences;
   $sql = mysql_query("SELECT * FROM $preferences[dbtableprefix]privatemessages WHERE username='$username'") or mysql_custom_error(1,"");
   $space_used = 0;
   while ($sql2 = mysql_fetch_array($sql)) {
      foreach($sql2 as $data) {
         $space_used = $space_used + strlen($data);
      }
   }
   if ($div != 0) {
      $space_used = round(($space_used / $div), $round);
   } else {
      $space_used = round($space_used, $round);
   }
   return $space_used;
}

//get the size of a directory specified
function get_dir_size($path)
{
   $dir = dir($path);
   $size = 0;
   while (FALSE !== $entry = $dir->read()) {
      if ($entry == "." OR $entry == "..") continue;
      if (is_dir("$path/$entry")) {
         $size += get_dir_size("$path/$entry");
      } else {
         $size += filesize("$path/$entry");
      }
   }
   $dir->close;
   return $size;
}

//###########################
//display notices on the page
function show_notices()
{
   global $preferences, $included_by_index;
   //display home page notices
   $sql = mysql_query("SELECT * FROM $preferences[dbtableprefix]notices ORDER BY time DESC") or mysql_custom_error(1,"");
   if (mysql_num_rows($sql) > 0) {
      include(template("notices.tpl"));
      $notices_to_show = array();
      while ($sql2 = mysql_fetch_assoc($sql)) {
         if ($sql2[visible] == 1) {
            $id = $sql2[id];
            if ($sql2[accesslevel] <= 10) {
               if ($_SESSION['accesslevel_sess'] >= $sql2[accesslevel]) {
                  $notices_to_show[] = $id;
               }
            } else {
               if ($_SESSION['username_sess'] != "") {
                  if ($sql2['accesslevel'] == 11 AND $_SESSION['subscribed_sess'] == 0) {
                     $notices_to_show[] = $id;
                  } elseif ($sql2['accesslevel'] == 12 AND $_SESSION['subscribed_sess'] == 1) {
                     $notices_to_show[] = $id;
                  } elseif ($sql2['accesslevel'] == 13 AND $_SESSION['admin_sess'] == 1) {
                     $notices_to_show[] = $id;
                  }
               }
            }
         }
      }

      if (count($notices_to_show) > 0) {
         foreach ($notices_to_show as $id) {
            $sql = mysql_query("SELECT * FROM $preferences[dbtableprefix]notices WHERE id = '$id' LIMIT 0,1") or mysql_custom_error(1,"");
            $sql2 = mysql_fetch_assoc($sql);
            print_notice($id,$sql2[title],$sql2[notice],$sql2[time],$sql2[username]);
         }
         $sql = mysql_query("SELECT id FROM $preferences[dbtableprefix]subpages WHERE page = 'Admin' AND subpage = 'Notices' AND accesslevel <= '$_SESSION[accesslevel_sess]' LIMIT 0,1") or mysql_custom_error(1,"");
         if (mysql_num_rows($sql) > 0) {
            echo _TPL_NOTICES_ADMINLINK;
         }
      }
   }
}

function print_notice($id,$title,$notice,$time,$username)
{
   global $preferences;
   echo _TPL_NOTICES_NOTICE1;
   echo htmlentities(stripslashes($title));
   echo _TPL_NOTICES_NOTICE2;
   echo stripslashes($notice);
   echo _TPL_NOTICES_NOTICE3;
   echo htmlentities(date($preferences[timeformat],$time));
   echo _TPL_NOTICES_NOTICE4;
   echo htmlentities(stripslashes($username));
   $sql = mysql_query("SELECT id FROM $preferences[dbtableprefix]subpages WHERE page = 'Admin' AND subpage = 'Notices' AND accesslevel <= '$_SESSION[accesslevel_sess]' LIMIT 0,1") or mysql_custom_error(1,"");
   if (mysql_num_rows($sql) > 0) {
      echo _TPL_NOTICES_NOTICE5;
      echo $id;
      echo _TPL_NOTICES_NOTICE6;
      echo $id;
      echo _TPL_NOTICES_NOTICE7;
   }
   echo _TPL_NOTICES_NOTICE8;
}

//############################################################################
//get an image src - if it is in the style then use it, if not use the default

function image_src($path)
{
   global $preferences;
   $style = "$preferences[styledir]/$preferences[style]/images";

   $extension = eregi_replace(".+(\..+$)","\\1",$path);
   $file = eregi_replace("(.+)\..+$","\\1",$path);

   if (file_exists("$preferences[styledir]/$preferences[style]/config.php")) {
      include("$preferences[styledir]/$preferences[style]/config.php");
      if (isset($img_formats)) {
         if (array_key_exists($path,$img_formats)) {
            $path = $file.$img_formats[$path];
         }
      }
   }
   if (file_exists("$style/$path")) {
      return "$style/$path";
   } else {
      return "images/$path";
   }
}
?>
