<?php
//===========================================================================//
// Copyright 2004 Alex Collins                                               //
//                                                                           //
// This file is part of AutositePHP.                                         //
//                                                                           //
// AutositePHP is free software; you can redistribute it and/or modify       //
// it under the terms of the GNU General Public License as published by      //
// the Free Software Foundation; either version 2 of the License, or         //
// at your option) any later version.                                        //
//                                                                           //
// AutositePHP is distributed in the hope that it will be useful,            //
// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
// GNU General Public License for more details.                              //
//                                                                           //
// You should have received a copy of the GNU General Public License         //
// along with AutositePHP; if not, write to the Free Software                //
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA //
//===========================================================================//
?>
<?php
//#####################################################################################//
//                                                                                     //
//                                  STARTUP PROCEDURES                                 //
//                                                                                     //
//#####################################################################################//

//set a variable used for included scripts to check they where actually included.
$included_by_index = TRUE;

//=====================================================================================//
//Define loadfile function used by statup scripts                                      //
//=====================================================================================//
function load_file($path,$errlevel)
{
   if (file_exists($path)) {
      return TRUE;
   } else {
      if ($errlevel > 0) {
         echo "<font color=\"#ff0000\">Error: \"$path\" could not be loaded as it does not exist.</font>";
      }
      if ($errlevel > 1) {
         die();
      }
      return FALSE;
   }
}

//=====================================================================================//
//Include configuration file                                                           //
//=====================================================================================//
$path = "config.php";
if (load_file($path,2) == TRUE) include ($path);

//=====================================================================================//
//Connect to the mysql database                                                        //
//=====================================================================================//
$path = "connect.php";
if (load_file($path,2) == TRUE) include ($path);

//=====================================================================================//
//Load the preferences from the mysql database                                         //
//=====================================================================================//
$path = "preferences.php";
if (load_file($path,2) == TRUE) include ($path);

//=====================================================================================//
//Load error definitions                                                               //
//=====================================================================================//
$path = "definitions.php";
if (load_file($path,2) == TRUE) include ($path);

//=====================================================================================//
//Load functions for scripts                                                           //
//=====================================================================================//
$path = "functions.php";
if (load_file($path,2) == TRUE) include ($path);

//=====================================================================================//
//Load up sessions                                                                     //
//=====================================================================================//
$path = "users/startup.php";
$var = load_file($path,2);
if ($var == TRUE) include ($path);

//=====================================================================================//
//Include files from data directory                                                    //
//=====================================================================================//
$files = scan_dir("data",0);
foreach($files as $file) {
   if ($file != "." AND $file != "..") {
      include("data/$file");
   }
}

//=====================================================================================//
//Check vital variables for site                                                       //
//=====================================================================================//
$status_ok = FALSE;
$path = "check.php";
$var = load_file($path,2);
if ($var == TRUE) include ($path);
if ($status_ok == FALSE) {
   die("There was a fatal error in loading your website.");
}

//=====================================================================================//
//Include the styles onstart file                                                      //
//=====================================================================================//
$path = "$preferences[styledir]/$preferences[style]/onstart.php";
$var = load_file($path,0);
if ($var == TRUE) include ($path);

//=====================================================================================//
//Include onstart file specified in the onstart table                                  //
//=====================================================================================//
$sql = mysql_query("SELECT url FROM $preferences[dbtableprefix]onstart ORDER BY `order`") or mysql_custom_error(1,"");
while ($sql2 = mysql_fetch_assoc($sql)) {
   $path = $sql2[url];
   $var = load_file($path,2);
   if ($var == TRUE) include ($path);
}

//=====================================================================================//
//Include a specified file for updating something before the page loads if needed      //
//=====================================================================================//
if ($_REQUEST['update'] != "") {
   if (ereg("^update/",$_REQUEST['update'])) {
      $path = $_REQUEST['update'];
      $var = load_file($path,0);
      if ($var == TRUE) include ($path);
      $rg = ini_get('register_globals');
   }
}

//=====================================================================================//
//Give site maintenance warning if required                                            //
//=====================================================================================//
if ($preferences['siteonline'] == 0 AND $_SESSION['admin_sess'] != 1) {
   include("users/siteoffline.php");
   die();
}

//#####################################################################################//
//                                                                                     //
//                                      RENDER PAGE                                    //
//                                                                                     //
//#####################################################################################//

include(template("index.tpl"));

//=====================================================================================//
//Render headers (e.g. meta tags                                                       //
//=====================================================================================//
$path = "elements/header.php";
$var = load_file($path,2);
if ($var == TRUE) include ($path);

echo _TPL_INDEX_OPEN;

//=====================================================================================//
//Render title bar                                                                    //
//=====================================================================================//
if (file_exists("$preferences[styledir]/$preferences[style]/config.php")) include("$preferences[styledir]/$preferences[style]/config.php");
include(template("titlebar.tpl"));
if ($notitlebar != TRUE) {
   if ($preferences['banner'] != "" OR $preferences['logoimage'] != "") {
      echo _TPL_TITLEBAR_OPEN;
      if($preferences['logoimage'] != "") {
         echo _TPL_TITLEBAR_LOGOIMAGE;
      }
      if ($preferences['banner'] != "") {
         echo _TPL_TITLEBAR_BANNER;
      }
      echo _TPL_TITLEBAR_CLOSE;
   }
}

//=====================================================================================//
//Render subtitle bar                                                                   //
//=====================================================================================//
if (file_exists("$preferences[styledir]/$preferences[style]/config.php")) include("$preferences[styledir]/$preferences[style]/config.php");
include(template("subtitlebar.tpl"));
if ($nosubtitlebar != TRUE) {
   echo _TPL_SUBTITLEBAR_OPEN;
   echo _TPL_SUBTITLEBAR_CONTENT;
   echo _TPL_SUBTITLEBAR_CLOSE;
}

//=====================================================================================//
//Render top bar                                                                       //
//=====================================================================================//

$path = "elements/topbar.php";
$var = load_file($path,2);
if ($var == TRUE) include ($path);

//=====================================================================================//
//Render left bar                                                                      //
//=====================================================================================//

echo _TPL_INDEX_LEFTBAROPEN;

$path = "elements/leftbar.php";
$var = load_file($path,2);
if ($var == TRUE) include ($path);

echo _TPL_INDEX_LEFTBARCLOSE;

//=====================================================================================//
//Render main page                                                                     //
//=====================================================================================//

echo _TPL_INDEX_PAGEOPEN;

$path = "elements/page.php";
$var = load_file($path,2);
if ($var == TRUE) include ($path);

echo _TPL_INDEX_PAGECLOSE;

//=====================================================================================//
//Render right bar                                                                     //
//=====================================================================================//

echo _TPL_INDEX_RIGHTBAROPEN;

$path = "elements/rightbar.php";
$var = load_file($path,2);
if ($var == TRUE) include ($path);

echo _TPL_INDEX_RIGHTBARCLOSE;

//=====================================================================================//
//Render bottom bar                                                                    //
//=====================================================================================//

$path = "elements/bottombar.php";
$var = load_file($path,2);
if ($var == TRUE) include ($path);

//=====================================================================================//
//Render footer bar                                                                    //
//=====================================================================================//
if (file_exists("$preferences[styledir]/$preferences[style]/config.php")) include("$preferences[styledir]/$preferences[style]/config.php");
if ($nofooterbar != TRUE) {

   echo _TPL_INDEX_FOOTERBAROPEN;

   $path = "elements/footer.php";
   $var = load_file($path,2);
   if ($var == TRUE) include ($path);

   echo _TPL_INDEX_FOOTERBARCLOSE;

} else {

   echo _TPL_INDEX_FOOTERBARNONE;

}

echo _TPL_INDEX_CLOSE;

//=====================================================================================//
//include the on end file from the styles folder                                       //
//=====================================================================================//

$path = "$preferences[styledir]/$preferences[style]/onend.php";
$var = load_file($path,0);
if ($var == TRUE) include ($path);

?>
