<?php
//===========================================================================//
// Copyright 2004 Alex Collins                                               //
//                                                                           //
// This file is part of AutositePHP.                                         //
//                                                                           //
// AutositePHP is free software; you can redistribute it and/or modify       //
// it under the terms of the GNU General Public License as published by      //
// the Free Software Foundation; either version 2 of the License, or         //
// at your option) any later version.                                        //
//                                                                           //
// AutositePHP is distributed in the hope that it will be useful,            //
// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
// GNU General Public License for more details.                              //
//                                                                           //
// You should have received a copy of the GNU General Public License         //
// along with AutositePHP; if not, write to the Free Software                //
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA //
//===========================================================================//
?>
<?php
$included_by_index = TRUE;

//########################
//DEFINITIONS
//########################

define(_INVALID_EMAIL_ADDRESS,                      "<span class='error'>Email address is invalid.</span>");
define(_INVALID_USERNAME_CHARS,                     "<span class='error'>Username is invalid. Letters, numbers, \".\", \"-\" and \"_\" are allowed.</span>");
define(_INVALID_USERNAME_LENGTH_MAX,                "<span class='error'>Username is too long. Cannot be more than 20 characters long.</span>");
define(_INVALID_USERNAME_LENGTH_MIN,                "<span class='error'>Username is too short. Cannot be less than 4 characters long.</span>");
define(_INVALID_PASSWORD_CHARS,                     "<span class='error'>Password contains disallowed characters.</span>");
define(_INVALID_PASSWORD_LENGTH_MIN,                "<span class='error'>Password is too short. Cannot be less than 4 characters long.</span>");
define(_HTML_HEADER,
   "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">\n"
   ."<html>\n"
   ."<head>\n"
   ."<title>AutositePHP Installer</title>\n"
   ."<meta name=\"GENERATOR\" content=\"AutositePHP\">\n"
   ."<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n"
   ."<link rel=\"stylesheet\" type=\"text/css\" href=\"styles.css\">\n"
   ."<script type=\"text/javascript\">\n"
   ."//	Many thanks to www.quirksmode.org  \n"
   ."function getObj(name) {\n"
   ."   if (document.getElementById) {\n"
   ."      this.obj = document.getElementById(name);\n"
   ."      this.style = document.getElementById(name).style;\n"
   ."   } else if (document.all) {\n"
   ."      this.obj = document.all[name];\n"
   ."      this.style = document.all[name].style;\n"
   ."   } else if (document.layers) {\n"
   ."      this.obj = document.layers[name];\n"
   ."      this.style = document.layers[name];\n"
   ."   }\n"
   ."}\n"
   ."function displayForm() {\n"
   ."   var section = new getObj('configform');\n"
   ."   section.style.display='block';\n"
   ."}\n"
   ."function hideForm() {\n"
   ."   var section = new getObj('configform');\n"
   ."   section.style.display='none';\n"
   ."}\n"
   ."</script>\n"
   ."</head>\n"
   ."<body onload=\"hideForm()\">\n"
);
//########################
//FUNCTIONS
//########################

function filegetcontents($filename)
{
   if ($filename == "") {
      echo "<font color='#ff0000'>Parameter 1 for filegetcontents not specified</font>";
   } else {
      $file = file($filename);
      $file = implode("",$file);
   }
   return $file;
}

//#########################
//check for a valid email address
function ereg_check_email($string)
{
   if(!eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]{2,})+$",$string)) {
      return _INVALID_EMAIL_ADDRESS;
   } else {
      return FALSE;
   }
}

//#########################
//check for a valid username
function ereg_check_username($string)
{
   if(!eregi("^([a-z0-9]|\_|\-|\.)+$",$string)) {
      return _INVALID_USERNAME_CHARS;
   } else {
      if(strlen($string) >= 21) {
         return _INVALID_USERNAME_LENGTH_MAX;
      } else {
         if(strlen($string) <= 3) {
            return _INVALID_USERNAME_LENGTH_MIN;
         } else {
            return FALSE;
         }
      }
   }
}

//##########################
//check for a valid password
function ereg_check_password($string)
{
   if(strlen($string) < 4) {
      return _INVALID_PASSWORD_LENGTH_MIN;
   } else {
      return FALSE;
   }
}
//#######################

if ($_POST['submit'] == "") {
   include("form.php");
} else {

   $error = array();
   $error['username'] = ereg_check_username($_POST['username']);
   $error['password'] = ereg_check_password($_POST['password']);
   $error['adminemail'] = ereg_check_email($_POST['adminemail']);
   $error['siteemail'] = ereg_check_email($_POST['siteemail']);
   if ($error['username'] != FALSE OR $error['password'] != FALSE OR $error['adminemail'] != FALSE OR $error['siteemail'] != FALSE) {
      include("form.php");
   } else {

      echo _HTML_HEADER."<p><img src=\"logo.gif\" alt=\"AutositePHP Installer\"></p>";
      if ($_POST['settings'] == "config") {
         include "../config.php";
      } else {
         $dbserver = stripslashes($_POST['dbserver']);
         $dbuser = stripslashes($_POST['dbuser']);
         $dbpassword = stripslashes($_POST['dbpassword']);
         $dbdatabase = stripslashes($_POST['dbdatabase']);
         $dbtableprefix = stripslashes($_POST['dbtableprefix']);
      }
      $db = mysql_connect("$dbserver", "$dbuser", "$dbpassword") or
         die("<p><font color=\"#FF0000\">Error connecting to the MySQL server. The server may be down, or your username and password may be incorrect. Please try again.</font></p>");

      if(!$db)
         die("<p><font color=\"#FF0000\">Error connecting to the MySQL server. The server may be down, or your username and password may be incorrect. Please try again.</font></p>");

      $result = mysql_query("CREATE DATABASE IF NOT EXISTS `".mysql_escape_string($dbdatabase)."`");
      if (!$result) {
         die("<p><font color=\"#FF0000\">Error creating database on the MySQL server. Please try again.</font></p>".mysql_error());
      }

      if(!mysql_select_db("$dbdatabase",$db))
         die("<p><font color=\"#FF0000\">Error selecting the specified database. Please ensure you have specified the correct settings.</font></p><p><font color=\"#FF0000\">The database may be experiencing problems. Please try again later.</font></p>");

      include("../connect.php");

      include ("sql.php");

      $verbose = $_POST['verbose'];

      echo "<table>\n";

      //loop through each table
      for ($i = 0; $i < $_POST['numtables']; $i++) {
         $key = "table_$i";
         $table = mysql_escape_string($_POST[$key]);
         if ($table != "") {
            $query = $sql[$table]['structure'];
            //install the table
            $result = mysql_query($query);
            //report any errors
            if (!$result) {
               echo "<tr><td>Creating <b>$dbtableprefix".$_POST[$key]."</b></td><td><span class='failed'>[FAILED]</span></td></tr>";
               echo "<tr><td colspan=\"2\">MySQL says: <i>".mysql_error()."</i></td></tr></table>";
               die();
            } else {
               if ($verbose == 1) {
                  echo "<tr><td>Creating table <b>$dbtableprefix".$_POST[$key]."</b></td><td><span class='ok'>[OK]</span></td></tr>";
               }
               //install the data for this table
               $array = $sql[$table]['data'];
               if (count($array) > 0) {
                  foreach($array as $query) {
                     $result = mysql_query($query);
                     if (!$result) {
                        echo "<tr><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Inserting row of data</td><td><span class='failed'>[FAILED]</span></td></tr>";
                        echo "<tr><td colspan=\"2\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;MySQL says: <i>".mysql_error()."</i></td></tr></table>";
                        die("</body>\n</html>");
                     } else {
                        if ($verbose == 1) {
                           echo "<tr><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Inserting row of data</td><td><span class='ok'>[OK]</span></td></tr>";
                        }
                     }
                  }
               }
            }
         }
      }
      echo "</table>"
      ."<p>Your MySQL tables have been successfully installed. You can now <a href=\"../index.php\">visit your site</a>.</p>\n"
      ."</body>\n</html>";
   }
}

?>
